> ## Documentation Index
> Fetch the complete documentation index at: https://vectorly-783efd43.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get notification messsages

> Get notification messages targeting the current user.



## OpenAPI

````yaml get /api/notification
openapi: 3.1.0
info:
  title: Coinfer Server API
  version: 0.0.1776236533+0db4b8c
  description: |+

    This part of document describes the HTTP APIs of the Coinfer cloud.

servers:
  - url: https://api.coinfer.ai
    description: The production environment
  - url: https://dev.coinfer.ai
    description: The development environment
security: []
tags:
  - name: Object
    description: APIs related to object CRUD operations.
  - name: Invoke
    description: APIs used to invoke CloudFunction or run workflow.
  - name: Notification
    description: APIs related to notification.
  - name: Authorization
    description: >-
      APIs related to user, token, login, etc.


      Normally APIs in this group should not be used. You should get API token
      from our website and then use the token to call other APIs.
paths:
  /api/notification:
    get:
      tags:
        - Notification
      summary: Get notification messsages
      description: Get notification messages targeting the current user.
      operationId: coinfer_apis_notification_api_get_notification
      parameters:
        - in: query
          name: page_no
          schema:
            default: 1
            description: page number
            exclusiveMinimum: 0
            title: Page No
            type: integer
          required: false
          description: page number
        - in: query
          name: page_size
          schema:
            default: 100
            description: page size
            exclusiveMinimum: 0
            maximum: 1000
            title: Page Size
            type: integer
          required: false
          description: page size
        - in: query
          name: status
          schema:
            description: Filter the notification message by read status
            enum:
              - all
              - read
              - unread
            title: Status
            type: string
          required: true
          description: Filter the notification message by read status
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccRsp_ListingRspData_NotificationDict__'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrRsp'
      security:
        - GlobalAuth: []
components:
  schemas:
    SuccRsp_ListingRspData_NotificationDict__:
      properties:
        status:
          const: ok
          title: Status
          type: string
        data:
          $ref: '#/components/schemas/ListingRspData_NotificationDict_'
      required:
        - status
        - data
      title: SuccRsp[ListingRspData[NotificationDict]]
      type: object
    ErrRsp:
      properties:
        status:
          const: error
          title: Status
          type: string
        code:
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - status
        - code
        - message
      title: ErrRsp
      type: object
    ListingRspData_NotificationDict_:
      properties:
        total:
          title: Total
          type: integer
        page:
          title: Page
          type: integer
        count_per_page:
          title: Count Per Page
          type: integer
        objects:
          items:
            $ref: '#/components/schemas/NotificationDict'
          title: Objects
          type: array
      required:
        - total
        - page
        - count_per_page
        - objects
      title: ListingRspData[NotificationDict]
      type: object
    NotificationDict:
      properties:
        id:
          title: Id
          type: integer
        event:
          title: Event
          type: string
        title:
          title: Title
          type: string
        message:
          title: Message
          type: string
        msg_object:
          title: Msg Object
          type: string
        msg_verb:
          title: Msg Verb
          type: string
        created_at:
          title: Created At
          type: string
        read_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Read At
      required:
        - id
        - event
        - title
        - message
        - msg_object
        - msg_verb
        - created_at
        - read_at
      title: NotificationDict
      type: object
  securitySchemes:
    GlobalAuth:
      type: http
      scheme: bearer

````